/**
 * @brief This file contains the definition of the recognizedPackets for Astri Horn.
 * 
 * The recognizedPackets vector is a static member of the inaf::oasbo::Packets::AstriHorn namespace.
 * It stores tuples representing recognized packets, where each tuple contains three values:
 * - The first value represents the packet type.
 * - The second value represents the packet subtype.
 * - The third value represents the packet length.
 * 
 */
#pragma once

#include <vector>
#include <tuple>

namespace inaf::oasbo::Packets::AstriHorn {

static std::vector<std::tuple<size_t, size_t, size_t>> recognizedPackets = {
		std::make_tuple(1, 1, 13268), std::make_tuple(1, 2, 13268),
		std::make_tuple(1, 3, 13268), std::make_tuple(1, 4, 13268),
		std::make_tuple(2, 1, 9568), std::make_tuple(2, 2, 10900),
		std::make_tuple(10, 1, 4526), std::make_tuple(10, 2, 19040),
		std::make_tuple(15, 1, 12) };
}
