/**
 * @brief This file contains the definition of the recognizedPackets for Astri MA.
 * 
 * The recognizedPackets vector is a static member of the inaf::oasbo::Packets::AstriMa namespace.
 * It stores tuples representing recognized packets, where each tuple contains three values:
 * - The first value represents the packet type.
 * - The second value represents the packet subtype.
 * - The third value represents the packet length.
 * 
 */
#pragma once

#include <vector>
#include <tuple>

namespace inaf::oasbo::Packets::AstriMa {

static std::vector<std::tuple<size_t, size_t, size_t>> recognizedPackets = {
		std::make_tuple(1, 1, 10014), std::make_tuple(1, 4, 12980),
		std::make_tuple(2, 2, 12976), std::make_tuple(10, 1, 11098),
		std::make_tuple(10, 2, 9566), std::make_tuple(10, 3, 9566),
		std::make_tuple(15, 1, 10) };
}
